commit 460852dbc7858bdac29da935918f2855c7abf66d
Author: horkmi <horkmi@students.zcu.cz>
Date:   Thu Apr 23 01:01:30 2020 +0200

    merge

diff --git a/project/Deserializer/src/Converter.java b/project/Deserializer/src/Converter.java
index 6989820..e3dc8d9 100644
--- a/project/Deserializer/src/Converter.java
+++ b/project/Deserializer/src/Converter.java
@@ -26,7 +26,7 @@ public class Converter extends Thread {
 	private Semaphore inputAvailable;
     
 	private File inputFile;
-	private String inputString;
+	private String query;
 	private boolean testing;
 	
     //Key as enum?
@@ -65,10 +65,10 @@ public class Converter extends Thread {
 		setInput(null, null, false);
 	}
 	
-	public void setInput(File inputFile, String inputString, boolean testing) {
+	public void setInput(File inputFile, String query, boolean testing) {
 		entryLock.lock();
 		this.inputFile = inputFile;
-		this.inputString = inputString;
+		this.query = query;
 		this.testing = testing;
 		entryLock.unlock();
 		
@@ -76,7 +76,7 @@ public class Converter extends Thread {
 			inputAvailable.release(); // MAX VALUE = 1!
 	}
 	
-	public boolean getInput(AtomicReference<File> inputFile, AtomicReference<String> inputString, AtomicBoolean testing) {
+	public boolean getInput(AtomicReference<File> inputFile, AtomicReference<String> query, AtomicBoolean testing) {
 		try {
 			inputAvailable.acquire();
 		} catch (InterruptedException e) {
@@ -85,11 +85,11 @@ public class Converter extends Thread {
 		
 		entryLock.lock();
 		inputFile.set(this.inputFile);
-		inputString.set(this.inputString);
+		query.set(this.query);
 		testing.set(this.testing);
 		
 		this.inputFile = null;
-		this.inputString = null;
+		this.query = null;
 		entryLock.unlock();
 		
 		return true;
@@ -100,17 +100,17 @@ public class Converter extends Thread {
 		super.run();
 		while (active.get()) {
 			AtomicReference<File> inputFile = new AtomicReference<File>();
-			AtomicReference<String> inputString = new AtomicReference<String>();
+			AtomicReference<String> query = new AtomicReference<String>();
 			AtomicBoolean testing = new AtomicBoolean();
 			
-			if (!getInput(inputFile, inputString, testing)) {
+			if (!getInput(inputFile, query, testing)) {
 				continue;
 			}
 			
 			if (inputFile.get() != null) {
 				processA(inputFile.get(), testing.get());
-			} else if (inputString.get() != null) {
-				processB(inputString.get().getBytes(), testing.get());
+			} else if (query.get() != null) {
+				processB(query.get().getBytes(), testing.get());
 			}
 		}
 	}
diff --git a/project/Deserializer/src/io/Database.java b/project/Deserializer/src/io/Database.java
new file mode 100644
index 0000000..0d2c535
--- /dev/null
+++ b/project/Deserializer/src/io/Database.java
@@ -0,0 +1,64 @@
+package io;
+
+import java.sql.Blob;
+import java.sql.Connection;
+import java.sql.DriverManager;
+import java.sql.ResultSet;
+import java.sql.SQLException;
+import java.sql.Statement;
+
+public class Database {
+	
+	private static class DB_Messenger {
+		public String url; // jdbc:mysql://localhost/mydb
+		public String user; // root
+		public String password; // 1234
+		public String query; // SELECT * FROM table
+		public String blob; // image
+		
+		public DB_Messenger(String url, String user, String password, String query, String blob) {
+			this.url = url;
+			this.user = user;
+			this.password = password;
+			this.query = query;
+			this.blob = blob;
+		}
+	}
+	
+	public byte[] doWork(DB_Messenger crate) {
+		Connection conn = null;
+		Statement stmt = null;
+		
+		try {
+			System.out.println("Connecting to the database...");
+			conn = DriverManager.getConnection(crate.url, crate.user, crate.password);
+			System.out.println("Connected.");
+		} catch (SQLException e) {
+			System.out.println("Connection error.");
+			e.printStackTrace();
+			return null;
+		}
+		
+		System.out.println("Getting the BLOB...");
+		try {
+			stmt = conn.createStatement();
+			ResultSet rs = stmt.executeQuery(crate.query);
+			while (rs.next()) {
+				Blob blob = rs.getBlob(crate.blob);
+				if (blob != null) {
+					byte[] bytes = blob.getBytes(1l, (int) blob.length());
+					System.out.println("The BLOB was found.");
+					return bytes;
+				}
+			}
+		} catch (SQLException e) {
+			System.out.println("Error getting the BLOB.");
+			e.printStackTrace();
+			
+		}
+		
+		System.out.println("The BLOB wasn't found.");
+		return null;
+	}
+
+}
